<!DOCTYPE html>
<html lang="en">
<head>
  <title>Add Item</title>
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/materialize/1.0.0/css/materialize.min.css">
</head>
<body>
  <div class="container">
    <form>
      <div>
        <label>Enter Item</label>
        <input type="text" id="item" autofocus>
      </div>
      <button class="btn waves-effect waves-light" type="submit">Add Item</button>
    </form>
  </div>

  <script>
    const electron = require('electron');
    // Send item to main.js
    const { ipcRenderer } = electron;

    const form = document.querySelector('form');
    form.addEventListener('submit', submitForm);

    function submitForm(e) {
      e.preventDefault();
      const item = document.querySelector('#item').value;
      // customName, Payload
      ipcRenderer.send('item:add', item)

    }
  </script>
</body>
</html>
